USELESSD-HOSTNAME-SETUP(1)

NAME
uselessd-hostname-setup - Initialize the system hostname in /etc/hostname

SYNOPSIS

uselessd-hostname-setup

DESCRIPTION

uselessd-hostname-setup may be used by system installer tools to set the system hostname stored in /etc/hostname at install time with the one specified in the aforementioned file.

This tool will execute no operation if /etc/hostname is already set.

OPTIONS

The following options are understood:

-h, --help
    Prints a short help text and exits.

--version
    Prints a short version string and exits.

EXIT STATUS

On success 0 is returned, a non-zero failure code otherwise.

SEE ALSO

systemd(1)